"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const opentype_js_1 = require("opentype.js");
const lodash_1 = require("lodash");
const download_font_file_1 = (0, tslib_1.__importDefault)(require("./download-font-file"));
/**
 * 获取字体名称
 *
 * @param fileUrl 字体文件下载链接
 * @returns 返回字体名称
 */
exports.default = (0, lodash_1.memoize)(function getFontName(fileUrl) {
    return (0, tslib_1.__awaiter)(this, void 0, void 0, function* () {
        const localFilePath = yield (0, download_font_file_1.default)(fileUrl);
        const font = yield (0, opentype_js_1.load)(localFilePath);
        const fontFamily = font.getEnglishName('fontFamily');
        const subFontFamily = font.getEnglishName('subFontFamily');
        return `${fontFamily}-${subFontFamily}`;
    });
});
//# sourceMappingURL=get-font-name.js.map