"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const node_cache_1 = (0, tslib_1.__importDefault)(require("node-cache"));
const lodash_1 = require("lodash");
const md5_1 = (0, tslib_1.__importDefault)(require("./md5"));
const get_sub_font_1 = (0, tslib_1.__importDefault)(require("./get-sub-font"));
const subFontCache = new node_cache_1.default({
    // 缓存一小时
    stdTTL: 3600,
    checkperiod: 100,
    useClones: false,
});
function getSubFontWithCache(fontUrl, text) {
    return (0, tslib_1.__awaiter)(this, void 0, void 0, function* () {
        const words = (0, lodash_1.uniq)(text.split('')).sort();
        const key = (0, md5_1.default)(`${fontUrl}_${words.join('')}`);
        let buffer = subFontCache.get(key);
        if (!buffer) {
            buffer = yield (0, get_sub_font_1.default)(fontUrl, text);
            subFontCache.set(key, buffer);
        }
        return buffer;
    });
}
exports.default = getSubFontWithCache;
//# sourceMappingURL=get-sub-font-with-cache.js.map