"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
/// <reference types="../types"/>
const lodash_1 = require("lodash");
const fontmin_1 = (0, tslib_1.__importDefault)(require("fontmin"));
const load_font_file_1 = (0, tslib_1.__importDefault)(require("./load-font-file"));
function getSubFont(fileUrl, text) {
    return (0, tslib_1.__awaiter)(this, void 0, void 0, function* () {
        let font = yield (0, load_font_file_1.default)(fileUrl);
        const words = (0, lodash_1.uniq)(text.split(''));
        font = font.use(fontmin_1.default.glyph({
            text: words.join(''),
        }));
        return new Promise((resolve, reject) => {
            font.run((err, files) => (0, tslib_1.__awaiter)(this, void 0, void 0, function* () {
                if (err) {
                    reject(err);
                }
                else {
                    resolve(files[0].contents);
                }
            }));
        });
    });
}
exports.default = getSubFont;
//# sourceMappingURL=get-sub-font.js.map