"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
/// <reference types="../types"/>
const fontmin_1 = (0, tslib_1.__importDefault)(require("fontmin"));
const download_font_file_1 = (0, tslib_1.__importDefault)(require("./download-font-file"));
/**
 * 加载字体源文件
 *
 * @param fontUrl 字体源文件下载链接
 */
function loadFontFile(fontUrl) {
    return (0, tslib_1.__awaiter)(this, void 0, void 0, function* () {
        const localFontFilePath = yield (0, download_font_file_1.default)(fontUrl);
        return new fontmin_1.default().src(localFontFilePath);
    });
}
exports.default = loadFontFile;
//# sourceMappingURL=load-font-file.js.map