"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const fs_1 = require("fs");
/**
 * 将数据流写入到指定的文件中
 *
 * @param stream 只读数据流
 * @param filePath 写入文件的路径
 * @returns 返回 promise
 */
function saveStreamToFile(stream, filePath) {
    return new Promise((resolve, reject) => {
        const writableStream = (0, fs_1.createWriteStream)(filePath);
        writableStream.on('error', (error) => {
            reject(new Error(`写入文件${filePath}失败，原因是：${error}`));
        });
        writableStream.on('finish', () => {
            resolve();
        });
        stream.pipe(writableStream);
    });
}
exports.default = saveStreamToFile;
//# sourceMappingURL=save-stream-to-file.js.map