"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const streamToBuffer = (stream) => {
    return new Promise((resolve, reject) => {
        const chunks = [];
        stream.on('data', (chunk) => {
            chunks.push(chunk);
        });
        stream.on('end', () => {
            resolve(Buffer.concat(chunks));
        });
        stream.on('error', reject);
    });
};
exports.default = streamToBuffer;
//# sourceMappingURL=stream-to-buffer.js.map