"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const puppeteer_core_1 = (0, tslib_1.__importDefault)(require("puppeteer-core"));
const path_1 = require("path");
const os_1 = require("os");
const get_browser_path_1 = (0, tslib_1.__importDefault)(require("./get-browser-path"));
const fs_extra_1 = require("fs-extra");
let CHROME_USER_DATA_DIR = (0, path_1.resolve)((0, os_1.tmpdir)(), 'google/chrome/user-data');
(0, fs_extra_1.ensureDirSync)(CHROME_USER_DATA_DIR);
/**
 * 创建页面
 */
function createPage() {
    return (0, tslib_1.__awaiter)(this, void 0, void 0, function* () {
        const browser = yield puppeteer_core_1.default.launch({
            executablePath: yield (0, get_browser_path_1.default)(),
            args: [
                '--no-sandbox',
                '--disable-setuid-sandbox',
                `--user-data-dir=${CHROME_USER_DATA_DIR}`,
                '--disable-gpu',
                '--disable-gpu-sandbox',
                '--disable-gpu-compositing',
                '--headless',
            ],
        });
        return browser.newPage();
    });
}
exports.default = createPage;
//# sourceMappingURL=create-page.js.map