"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const os_1 = require("os");
const fs_extra_1 = require("fs-extra");
const isWin = (0, os_1.platform)() === 'win32';
const WIN_BROWSERS = [
    'C:/Program Files (x86)/Microsoft/Edge/Application/msedge.exe',
    'C:/Program Files/Google/Chrome/Application/chrome.exe',
];
const LINUX_BROWSERS = [
    '/apps/sino-intellisense-form/chrome-linux/chrome',
    '/usr/bin/google-chrome-stable',
    '/usr/local/bin/google-chrome-stable',
    '/usr/bin/google-chrome',
    '/usr/local/bin/google-chrome',
    '/usr/bin/chrome',
    '/usr/local/bin/chrome',
];
const isFileExists = (filePath) => (0, tslib_1.__awaiter)(void 0, void 0, void 0, function* () {
    try {
        const result = yield (0, fs_extra_1.stat)(filePath);
        return result === null || result === void 0 ? void 0 : result.isFile();
    }
    catch (_a) {
        return false;
    }
});
function getExistsPath(pathes) {
    return (0, tslib_1.__awaiter)(this, void 0, void 0, function* () {
        for (let filePath of pathes) {
            const isExists = yield isFileExists(filePath);
            console.log(isExists, filePath);
            if (isExists) {
                return filePath;
            }
        }
        return pathes[pathes.length - 1];
    });
}
/**
 * 获取浏览器路径
 */
function getBrowserPath() {
    return (0, tslib_1.__awaiter)(this, void 0, void 0, function* () {
        if (process.env['PUPPETEER_EXECUTABLE_PATH']) {
            return process.env['PUPPETEER_EXECUTABLE_PATH'];
        }
        if (isWin) {
            return yield getExistsPath(WIN_BROWSERS);
        }
        return yield getExistsPath(LINUX_BROWSERS);
    });
}
exports.default = getBrowserPath;
//# sourceMappingURL=get-browser-path.js.map